#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0xd1fcd058, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0xb8b6f1cd, "");
SYMBOL_CRC(rdma_iw_cm_id, 0xb0eefd77, "");
SYMBOL_CRC(rdma_res_to_id, 0xffd03641, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x16fd3335, "");
SYMBOL_CRC(rdma_create_user_id, 0xb702eb51, "");
SYMBOL_CRC(rdma_create_qp, 0xbcacf27e, "");
SYMBOL_CRC(rdma_destroy_qp, 0x17b25947, "");
SYMBOL_CRC(rdma_init_qp_attr, 0xb1e2f074, "");
SYMBOL_CRC(rdma_destroy_id, 0x40f4e17e, "");
SYMBOL_CRC(rdma_get_service_id, 0xb1526d46, "");
SYMBOL_CRC(rdma_read_gids, 0x6e087316, "");
SYMBOL_CRC(rdma_set_service_type, 0xce77196d, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0xf42970cf, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x1de3ea80, "");
SYMBOL_CRC(rdma_set_ib_path, 0xd59f2d35, "");
SYMBOL_CRC(rdma_resolve_route, 0x2f90e8b5, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x7ccf4f2c, "");
SYMBOL_CRC(rdma_set_afonly, 0xcaced3a2, "");
SYMBOL_CRC(rdma_listen, 0x0846b67f, "");
SYMBOL_CRC(rdma_resolve_addr, 0x905045fa, "");
SYMBOL_CRC(rdma_bind_addr, 0xf77f0fee, "");
SYMBOL_CRC(rdma_connect_locked, 0x8f1e46a6, "");
SYMBOL_CRC(rdma_connect, 0xa1299edd, "");
SYMBOL_CRC(rdma_connect_ece, 0x41de3573, "");
SYMBOL_CRC(rdma_accept, 0x011929fc, "");
SYMBOL_CRC(rdma_accept_ece, 0xe029147a, "");
SYMBOL_CRC(rdma_lock_handler, 0x1920fba3, "");
SYMBOL_CRC(rdma_unlock_handler, 0xbf2f134e, "");
SYMBOL_CRC(rdma_notify, 0xa9fa36ed, "");
SYMBOL_CRC(rdma_reject, 0xee5cc407, "");
SYMBOL_CRC(rdma_disconnect, 0x2810d084, "");
SYMBOL_CRC(rdma_join_multicast, 0x363f6afc, "");
SYMBOL_CRC(rdma_leave_multicast, 0x72111aa2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb8be4ed4, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc543523, "iw_create_cm_id" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x4be7bae, "ib_unregister_client" },
	{ 0x59486b7a, "netdev_walk_all_lower_dev_rcu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc0d22a4f, "ib_send_cm_sidr_rep" },
	{ 0x2c1122f2, "bpf_trace_run4" },
	{ 0xb0f6bb96, "config_group_init" },
	{ 0x1340bbc5, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x80f39864, "rdma_find_gid_by_port" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3bf91973, "trace_raw_output_prep" },
	{ 0xc2b592d6, "ib_cm_insert_listen" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xab2e4c54, "__trace_trigger_soft_disabled" },
	{ 0xa59b5f9c, "trace_event_printf" },
	{ 0x9573ffe4, "ib_sa_register_client" },
	{ 0x98dc77b9, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a3181c3, "rdma_query_gid" },
	{ 0x99436367, "rt6_lookup" },
	{ 0xa6fb310b, "rdma_translate_ip" },
	{ 0xd5591519, "bpf_trace_run2" },
	{ 0x5bd35cfe, "rdma_dev_access_netns" },
	{ 0xa72a571b, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x33e3dc1d, "ib_destroy_cm_id" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xb76440a1, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe4ea39a4, "register_pernet_subsys" },
	{ 0x29734170, "trace_event_buffer_commit" },
	{ 0x5ea2d538, "ip_mc_inc_group" },
	{ 0x6ace21e1, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xc26e4db9, "ib_find_cached_pkey" },
	{ 0x92997ed8, "_printk" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x4a211d7c, "iw_cm_connect" },
	{ 0x8a4bd8f3, "rdma_restrack_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x769ca550, "rdma_addr_cancel" },
	{ 0x19852aff, "ib_cm_notify" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x714cb34e, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x12bbfe30, "ib_register_client" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x77e1a9fb, "ib_sa_path_rec_get" },
	{ 0x889f5013, "ib_create_cm_id" },
	{ 0x2bd1df20, "__ip_mc_dec_group" },
	{ 0xb28e9eb3, "vlan_dev_real_dev" },
	{ 0x42212bdb, "ib_sa_unregister_client" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x64607327, "perf_trace_run_bpf_submit" },
	{ 0x57a41fb1, "ib_init_ah_from_mcmember" },
	{ 0x36e1bbd2, "rdma_destroy_ah_attr" },
	{ 0x73746256, "ib_set_client_data" },
	{ 0x492aa58d, "init_net" },
	{ 0xec671fc8, "ib_get_cached_pkey" },
	{ 0x312a6351, "configfs_register_subsystem" },
	{ 0xf5f27eb9, "configfs_remove_default_groups" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x5953b862, "rdma_put_gid_attr" },
	{ 0xd6d12949, "config_group_init_type_name" },
	{ 0x9681bf23, "dev_get_by_index" },
	{ 0x4c37e16a, "iw_destroy_cm_id" },
	{ 0x1926d8ee, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x2a509ad5, "ib_send_cm_rep" },
	{ 0x887773b0, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xaf4b0306, "iw_cm_disconnect" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0xcd900590, "bpf_trace_run1" },
	{ 0x1d366acc, "ib_destroy_qp_user" },
	{ 0x316ab62, "unregister_pernet_subsys" },
	{ 0x717028cd, "ib_cm_init_qp_attr" },
	{ 0x76b87ef7, "_dev_warn" },
	{ 0x8194a17d, "ib_send_cm_drep" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0xe2a709f, "rdma_restrack_set_name" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0xe8978e42, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x71756ffd, "ib_get_cached_port_state" },
	{ 0x983669d2, "ib_send_cm_mra" },
	{ 0x6d82cf41, "rdma_restrack_del" },
	{ 0x2562447f, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x4ea80b54, "bpf_trace_run3" },
	{ 0xc26787aa, "__put_net" },
	{ 0x3cea9d7c, "rdma_restrack_parent_name" },
	{ 0xee48ba65, "iw_cm_accept" },
	{ 0x9432d220, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xd0d93584, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa06c1497, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x72e4a5b, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x56a04630, "iw_cm_init_qp_attr" },
	{ 0xccc16273, "dst_release" },
	{ 0x7401719c, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x5809d377, "ib_send_cm_dreq" },
	{ 0x2736d1d0, "ib_send_cm_req" },
	{ 0xcd5ce87a, "ib_create_qp_kernel" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x67ec753b, "ib_sa_join_multicast" },
	{ 0x65c6f989, "roce_gid_type_mask_support" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x1146a83e, "rdma_get_gid_attr" },
	{ 0xc494def2, "rdma_restrack_new" },
	{ 0xd18ba9bf, "__fib_lookup" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xabe2a76c, "iw_cm_listen" },
	{ 0x287452d9, "ib_send_cm_rej" },
	{ 0x902eaea6, "rdma_copy_src_l2_addr" },
	{ 0x43897f0e, "kmalloc_caches" },
	{ 0x629e7e76, "rdma_resolve_ip" },
	{ 0x68c9bdfc, "module_layout" },
};

MODULE_INFO(depends, "ib_cm,ib_core,iw_cm");


MODULE_INFO(srcversion, "457F68338D12B70E04B6B47");
MODULE_INFO(rhelversion, "10.1");
