#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0x73f0a2b9, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x57e6a0cc, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0xc08a63fa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xefe82202, "rtnl_link_register" },
	{ 0x484bf801, "genl_register_family" },
	{ 0xa0f5ea72, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0xebe56227, "crypto_destroy_tfm" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x172b5482, "crypto_alloc_aead" },
	{ 0xcd8f89cf, "crypto_aead_setkey" },
	{ 0xba6162ba, "crypto_aead_setauthsize" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0xff182e8, "nla_put" },
	{ 0xa3a5be95, "memmove" },
	{ 0x71ad160c, "skb_pull" },
	{ 0x9b4abf81, "___pskb_trim" },
	{ 0x3b7d6e, "ether_setup" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0x607c5990, "dev_mc_sync" },
	{ 0x6656d2bd, "dev_uc_sync" },
	{ 0x6931a3e1, "dev_set_allmulti" },
	{ 0xb2bd3bc2, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xfabf4658, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x43897f0e, "kmalloc_caches" },
	{ 0xa06c1497, "__kmalloc_cache_noprof" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xf017fe4d, "__dev_get_by_index" },
	{ 0xf6cc4d9b, "skb_clone" },
	{ 0xa2058732, "__netif_rx" },
	{ 0x36fdda3d, "skb_ensure_writable_head_tail" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x9aec8287, "sk_skb_reason_drop" },
	{ 0xbe946136, "metadata_dst_alloc" },
	{ 0x9d553a43, "register_netdevice" },
	{ 0x4dc6d248, "netdev_upper_dev_link" },
	{ 0x296a18ae, "netdev_upper_dev_unlink" },
	{ 0xaaa82e45, "unregister_netdevice_queue" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd96f94cb, "netif_stacked_transfer_operstate" },
	{ 0x13d34536, "linkwatch_fire_event" },
	{ 0x619d6ee4, "netdev_rx_handler_register" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xccc16273, "dst_release" },
	{ 0xd84735d8, "gro_cells_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x454419cc, "dev_addr_mod" },
	{ 0x1fc18fd7, "netif_inherit_tso_max" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x43e9dbaf, "__dev_queue_xmit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9671994e, "eth_type_trans" },
	{ 0xce9db56b, "gro_cells_receive" },
	{ 0x87bf376d, "skb_trim" },
	{ 0x7d987ef7, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xfcb03f2b, "skb_to_sgvec" },
	{ 0x89ff67b7, "crypto_aead_decrypt" },
	{ 0x1f293e74, "consume_skb" },
	{ 0x79957c81, "skb_copy" },
	{ 0x19aebac8, "skb_push" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x92d48c93, "__pskb_pull_tail" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xfa04ee18, "netdev_rx_handler_unregister" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x1f28b5b4, "netdev_update_features" },
	{ 0xf5ce28f7, "dev_set_mtu" },
	{ 0x1db17711, "netif_carrier_off" },
	{ 0x1c96651f, "dev_mc_unsync" },
	{ 0x46d66372, "dev_uc_unsync" },
	{ 0xd0d910e6, "dev_uc_del" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x6a100c93, "dev_uc_add" },
	{ 0x3ede4ebe, "netif_carrier_on" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x68a7f087, "skb_put" },
	{ 0xd76c6b2a, "crypto_aead_encrypt" },
	{ 0x6c060a4b, "skb_copy_expand" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xc1ed4d7d, "genlmsg_put" },
	{ 0x68c9bdfc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "512369DEABC1670A51B7315");
MODULE_INFO(rhelversion, "10.1");
