#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0xd3bc5caf, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0x32e8226a, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0xf5770ca8, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0x3e7705bd, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0x76cfb1ed, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0xc8419989, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0x9c124ea8, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0xcaf68a1f, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0x431189d1, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0xad26c0e9, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0xd058a077, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0x76cc9325, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0xa1f9014d, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0x675dcfdb, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0x92f684fa, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0x1cc4e65d, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0xd6b5902a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xc12f7714, "iscsi_dbg_trace" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xe98eaa31, "_dev_printk" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x4dd12f7f, "vmemmap" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xbd7326f1, "crypto_ahash_update" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xdaebc4a8, "crypto_ahash_final" },
	{ 0xf76cb4b8, "crypto_ahash_digest" },
	{ 0x4c8cdd6b, "crypto_ahash_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0xe798236d, "jiffies" },
	{ 0xd6b7776, "skb_prepare_seq_read" },
	{ 0xe0351c6c, "skb_seq_read" },
	{ 0x28634b9, "skb_abort_seq_read" },
	{ 0xf2dcf89, "iscsi_conn_failure" },
	{ 0x2caab2bd, "iscsi_conn_setup" },
	{ 0x1e56c11a, "iscsi_conn_teardown" },
	{ 0xb534f61f, "__kfifo_alloc" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xb32662a6, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xdb4b01d2, "__traceiter_iscsi_dbg_tcp" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xe62cea1a, "iscsi_itt_to_ctask" },
	{ 0x7c6a0fb8, "iscsi_get_task" },
	{ 0x7ad497e8, "iscsi_update_cmdsn" },
	{ 0x445d015e, "iscsi_requeue_task" },
	{ 0xba9528bf, "iscsi_put_task" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x8797e693, "iscsi_prep_data_out_pdu" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x97af361d, "iscsi_complete_pdu" },
	{ 0x151aa58f, "iscsi_verify_itt" },
	{ 0x996846b8, "__iscsi_complete_pdu" },
	{ 0x73f9b65b, "param_ops_int" },
	{ 0x68c9bdfc, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "05396420508FC29934C00A8");
MODULE_INFO(rhelversion, "10.1");
