#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");

SYMBOL_CRC(hsr_get_version, 0x1da7875a, "");
SYMBOL_CRC(is_hsr_master, 0x09b57f19, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf5ce28f7, "dev_set_mtu" },
	{ 0x5e63a20f, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x68d39fb6, "eth_header" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x68a7f087, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x1f28b5b4, "netdev_update_features" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xefe82202, "rtnl_link_register" },
	{ 0xc1ed4d7d, "genlmsg_put" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x20085ed6, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0xb2bd3bc2, "dev_set_promiscuity" },
	{ 0x839a730c, "seq_lseek" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xfc6e1658, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xaaa82e45, "unregister_netdevice_queue" },
	{ 0xa3ddacc3, "netlink_ack" },
	{ 0x403183cb, "__pskb_copy_fclone" },
	{ 0x46d66372, "dev_uc_unsync" },
	{ 0x3b7d6e, "ether_setup" },
	{ 0x82c4cdb8, "netlink_broadcast_filtered" },
	{ 0x22498356, "netdev_err" },
	{ 0x4dc6d248, "netdev_upper_dev_link" },
	{ 0x454419cc, "dev_addr_mod" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xfa04ee18, "netdev_rx_handler_unregister" },
	{ 0xfa082856, "eth_header_parse" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x249557e0, "__alloc_skb" },
	{ 0x6c060a4b, "skb_copy_expand" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xf017fe4d, "__dev_get_by_index" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xa0f5ea72, "rtnl_link_unregister" },
	{ 0x492aa58d, "init_net" },
	{ 0x71ad160c, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x708f1cc7, "mark_tech_preview" },
	{ 0x9aec8287, "sk_skb_reason_drop" },
	{ 0xfe7b7893, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1926d8ee, "dev_get_by_index_rcu" },
	{ 0xbc4750c2, "netdev_printk" },
	{ 0x19aebac8, "skb_push" },
	{ 0xa331c29b, "debugfs_remove" },
	{ 0x296a18ae, "netdev_upper_dev_unlink" },
	{ 0xff182e8, "nla_put" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9bd79200, "netdev_set_operstate" },
	{ 0xb09ac1f0, "debugfs_change_name" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x92d48c93, "__pskb_pull_tail" },
	{ 0xa92bdffc, "netif_rx" },
	{ 0xc42625aa, "__netdev_alloc_skb" },
	{ 0x87bf376d, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x391f8307, "seq_read" },
	{ 0x43e9dbaf, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdb4d2abd, "call_netdevice_notifiers" },
	{ 0x6931a3e1, "dev_set_allmulti" },
	{ 0x9ccf54c9, "seq_write" },
	{ 0xa06c1497, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1db17711, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1879a748, "seq_printf" },
	{ 0xf6cc4d9b, "skb_clone" },
	{ 0x3ede4ebe, "netif_carrier_on" },
	{ 0xfbcc01ad, "debugfs_create_file_full" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x619d6ee4, "netdev_rx_handler_register" },
	{ 0xfb83c659, "single_release" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xfabf4658, "genl_unregister_family" },
	{ 0xd5bb006f, "dev_disable_lro" },
	{ 0x30a60716, "dev_kfree_skb_any_reason" },
	{ 0xf5f10bc0, "single_open" },
	{ 0x826ecde7, "debugfs_create_dir" },
	{ 0x1c96651f, "dev_mc_unsync" },
	{ 0x484bf801, "genl_register_family" },
	{ 0x31dc0cad, "netdev_core_stats_inc" },
	{ 0x43897f0e, "kmalloc_caches" },
	{ 0x45c5c748, "netdev_info" },
	{ 0xe0732761, "dev_mc_sync_multiple" },
	{ 0x9d553a43, "register_netdevice" },
	{ 0x68c9bdfc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E2F5F2668B25B40FC1D404C");
MODULE_INFO(rhelversion, "10.1");
