#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_md_udp_encap, "", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0xdc50365b, "_gpl");
SYMBOL_CRC(ip_tunnel_md_udp_encap, 0xed39d043, "");
SYMBOL_CRC(ip_tunnel_rcv, 0xce5a4ca5, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0x347c283d, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0x90dec26d, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0xa0734f0a, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0xe4f12a60, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x4f42e81b, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0x99c37db7, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x53e7f64c, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0x6bfdf906, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0x495abd01, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0x304af20d, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x51fe6879, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0xccb4e763, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0x0749094f, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0xb491ca3e, "");
SYMBOL_CRC(ip_tunnel_init_net, 0x0978fc96, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0xc199f76d, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0x8efb6057, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0x0dee623d, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0xb744c2f8, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x336f7625, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0x6c4b280b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x897c81f3, "iptun_encaps" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xac3e7d76, "icmpv6_ndo_send" },
	{ 0x9b95976a, "icmp_ndo_send" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x951f3c20, "alloc_netdev_mqs" },
	{ 0x9d553a43, "register_netdevice" },
	{ 0x64555cef, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaaa82e45, "unregister_netdevice_queue" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xd84735d8, "gro_cells_init" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xe798236d, "jiffies" },
	{ 0xeedf0ddb, "skb_copy_bits" },
	{ 0xdbb57602, "ip_route_output_flow" },
	{ 0xccc16273, "dst_release" },
	{ 0xf017fe4d, "__dev_get_by_index" },
	{ 0x34b85157, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x454419cc, "dev_addr_mod" },
	{ 0x6532bcfe, "netdev_state_change" },
	{ 0xf7395ab, "ns_capable" },
	{ 0xf5ce28f7, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x492aa58d, "init_net" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x9aec8287, "sk_skb_reason_drop" },
	{ 0xdbd40e32, "dst_cache_get_ip4" },
	{ 0x40bec606, "pskb_expand_head" },
	{ 0xda98fcab, "iptunnel_xmit" },
	{ 0x539b5f80, "__skb_get_hash_net" },
	{ 0x56bf44a5, "dst_cache_set_ip4" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa9ede50, "neigh_destroy" },
	{ 0x92d48c93, "__pskb_pull_tail" },
	{ 0xe18f217, "skb_scrub_packet" },
	{ 0xce9db56b, "gro_cells_receive" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x9671994e, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x68c9bdfc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B27F5C4BCC62422D71EFE69");
MODULE_INFO(rhelversion, "10.1");
