#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nf_defrag_ipv6_enable, "_gpl", "");
KSYMTAB_FUNC(nf_defrag_ipv6_disable, "_gpl", "");
KSYMTAB_FUNC(nf_ct_frag6_gather, "_gpl", "");

SYMBOL_CRC(nf_defrag_ipv6_enable, 0x9ddda992, "_gpl");
SYMBOL_CRC(nf_defrag_ipv6_disable, 0xa3361196, "_gpl");
SYMBOL_CRC(nf_ct_frag6_gather, 0x244e6081, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xf13e6077, "icmp6_send" },
	{ 0xeedf0ddb, "skb_copy_bits" },
	{ 0xb77e5d1d, "proc_dointvec_jiffies" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xebb419a9, "inet_frag_queue_insert" },
	{ 0x38ffaeda, "inet_frags_init" },
	{ 0x13cf7cd7, "inet_frag_pull_head" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe4ea39a4, "register_pernet_subsys" },
	{ 0x67cf549, "register_net_sysctl_sz" },
	{ 0x92997ed8, "_printk" },
	{ 0x715831d3, "inet_frag_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2b3d6170, "ipv6_skip_exthdr" },
	{ 0xea998dad, "inet_frag_reasm_finish" },
	{ 0xf58d0b01, "nf_register_net_hooks" },
	{ 0x3f2a41ff, "fqdir_init" },
	{ 0x492aa58d, "init_net" },
	{ 0x9aec8287, "sk_skb_reason_drop" },
	{ 0x1926d8ee, "dev_get_by_index_rcu" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xb14cb4c2, "inet_frags_fini" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x456b616, "proc_doulongvec_minmax" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xefac6c41, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1c94be55, "nf_defrag_v6_hook" },
	{ 0x316ab62, "unregister_pernet_subsys" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x92d48c93, "__pskb_pull_tail" },
	{ 0xc86e117b, "inet_frag_reasm_prepare" },
	{ 0x725ba2de, "inet_frag_find" },
	{ 0x9dcd29b8, "fqdir_exit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xccc16273, "dst_release" },
	{ 0xa8f6c843, "ip_frag_ecn_table" },
	{ 0xaf20cf28, "unregister_net_sysctl_table" },
	{ 0xd6b5bc1d, "pskb_trim_rcsum_slow" },
	{ 0x38ba5cbb, "inet_frag_kill" },
	{ 0x68c9bdfc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6C93075937F04606145EA2D");
MODULE_INFO(rhelversion, "10.1");
